Olympus OM-D E-M1 Mark II is Compatible

edited October 2016 in V6 II Compatibility
As thread title says, the new E-M1 Mark II is compatible with the V6 II.
Tested by a trusted source.

Thank you!

FT5

Olympus OM-D EM-1 Mark II
Olympus OM-D EM-1 Mark 2
Olympus OMD EM1 MKII
Olympus OMD EM1 MK2
Antonio Lao
Brand Manager
_____________

To help us better help you, always state the exact firmware version installed on your Cactus device(s), such as: "1.1.013", "FUJ.1.002", "v.103".

For the time being, Cactus V6 (MK1) running on firmware version 2.1.001 can be triggered by a V6 II (MK2) running on Multi-brand HSS firmware (e.g. 1.1.013) and not by X-TTL firmware versions: PEN.A.001 and OLY.A.001.  No schedule has been released yet. 

Cactus RF60X / RF60 Firmware versions A01 and A02 currently ONLY works with PEN.A.001 and OLY.A.001.  Other "A" version of X-TTL firmware will be released soon. For both Multi-brand HSS and X-TTL firmware versions (FUJ, SIG, SON), install firmware version 103 / 205 on your RF60X / RF60.

Cactus RF60 is now an off-camera TTL flash with firmware version 205 or later!

Metz M400 (for Fujifilm) is now supported on the Cactus V6 II (HSS and TTL).

Nikon D750 users please read this thread: 

Fujifilm EF-X500 users please read this thread:

Feel free to suggest an improvement or share product ideas. Contact us directly at info@cactus-image.com.  At Cactus, we listen. 
Sign In or Register to comment.